# GradlePublication

interface GradlePublication : ProjectModel

Represents some publication produced by a Gradle project, typically to a Maven or Ivy repository.

#### Since

1.12

## Functions

getId
Link copied to clipboard
abstract fun getId(): GradleModuleVersion
Returns the unique identifier of the publication.
getProjectIdentifier
Link copied to clipboard
abstract fun getProjectIdentifier(): ProjectIdentifier
Returns the identifier for the Gradle project that this publication originates from.